
function activatePuryFi(active) {
    browser.storage.sync.set({
        active: active
    }).then(function(){
        updateOptionsContentScript();
    });
}


function updateOptionsContentScript(){
    return browser.runtime.sendMessage({
        options: true
    });
}

function initializeOptions(){
    return browser.runtime.sendMessage({
        initialize_options: true
    });
}

function resetOptions(){
    return browser.runtime.sendMessage({
        reset_options: true
    });
}

function reloadStickers(){
    return browser.runtime.sendMessage({
        reset_stickers: true
    });
}

function restoreONOFF() {
    let onoff = browser.storage.sync.get('active');
    onoff.then((res) => {
        if(res.active){
            $('.onoff').attr('check', res.active);
        }else{
            $('.onoff').removeAttr('check');
        }
        $('#onoff').html(res.active? 'ON' : 'OFF');
    });
}
